//-----------------------------------------------------------------------------
// Copyright  2001 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//-----------------------------------------------------------------------------
// package	vrb
// fullname	virtual ring buffer
// homepage	http://phil.ipal.org/freeware/vrb/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	vrb@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 120 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		vrb_lib.h
//
// purpose	Define resources used by the vrb library.
//-----------------------------------------------------------------------------
#ifndef __VRB_LIB_H__
#define __VRB_LIB_H__

//-----------------------------------------------------------------------------
// headers
//-----------------------------------------------------------------------------
#include <errno.h>
#include <string.h>

#include <vrb.h>

//-----------------------------------------------------------------------------
// configuration
//-----------------------------------------------------------------------------
#ifndef __MACRO_BEGIN__
#define __MACRO_BEGIN__
#endif
#ifndef __MACRO_END__
#define __MACRO_END__
#endif
#ifndef __PROTO_BEGIN__
#define __PROTO_BEGIN__
#endif
#ifndef __PROTO_END__
#define __PROTO_END__
#endif

//-----------------------------------------------------------------------------
// macros
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// end header
//-----------------------------------------------------------------------------
#endif /* __VRB_LIB_H__ */
